=== debian/control ===
Source: ros-humble-as2-platform-crazyflie
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-crazyflie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Package to communicate Crazyflie drones with Aerostack2 framework
